Skip to content

getInventoryCountMovements

READ

Get inventory count movements.

POST /api/v1/inventory/getInventoryCountMovements
curl -X POST '<your-host>/api/v1/inventory/getInventoryCountMovements' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "inventoryCountId": "string"
  }'
Response
{
  "results": [
    {
      "comment": "string",
      "companyId": "string",
      "correctionOfItemLedgerId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "documentId": "string",
      "documentLineId": "string",
      "documentType": "Sales Shipment",
      "entryNumber": 0,
      "entryType": "Purchase",
      "externalDocumentId": "string",
      "id": "string",
      "isCorrection": true,
      "itemDescription": "string",
      "itemId": "string",
      "itemReadableId": "string",
      "itemType": "Part",
      "locationId": "string",
      "locationName": "string",
      "postingDate": "string",
      "quantity": 0,
      "scrapReasonId": "string",
      "storageUnitId": "string",
      "storageUnitName": "string",
      "thumbnailPath": "string",
      "trackedEntityId": "string",
      "trackedEntityReadableId": "string",
      "trackedEntityStatus": "Rejected",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "inventoryCountId": {
      "type": "string"
    }
  },
  "required": [
    "inventoryCountId"
  ]
}